Index: autom4te.cache/requests
===================================================================
--- autom4te.cache/requests	(revision 1)
+++ autom4te.cache/requests	(revision 3)
@@ -1,3 +1,3 @@
-# This file was generated by Autom4te Sat Jan  8 16:59:54 PST 2005.
+# This file was generated.
 # It contains the lists of macros which have been traced.
 # It can be safely removed.
@@ -8,28 +8,28 @@
                       1,
                       [
-                        '/usr/share/autoconf'
-                      ],
-                      [
-                        '/usr/share/autoconf/autoconf/autoconf.m4f',
-                        '/usr/share/aclocal/libtool.m4',
-                        '/usr/share/aclocal/pkg.m4',
-                        '/usr/share/aclocal-1.9/amversion.m4',
-                        '/usr/share/aclocal-1.9/auxdir.m4',
-                        '/usr/share/aclocal-1.9/cond.m4',
-                        '/usr/share/aclocal-1.9/depend.m4',
-                        '/usr/share/aclocal-1.9/depout.m4',
-                        '/usr/share/aclocal-1.9/init.m4',
-                        '/usr/share/aclocal-1.9/install-sh.m4',
-                        '/usr/share/aclocal-1.9/lead-dot.m4',
-                        '/usr/share/aclocal-1.9/lex.m4',
-                        '/usr/share/aclocal-1.9/make.m4',
-                        '/usr/share/aclocal-1.9/minuso.m4',
-                        '/usr/share/aclocal-1.9/missing.m4',
-                        '/usr/share/aclocal-1.9/mkdirp.m4',
-                        '/usr/share/aclocal-1.9/options.m4',
-                        '/usr/share/aclocal-1.9/runlog.m4',
-                        '/usr/share/aclocal-1.9/sanity.m4',
-                        '/usr/share/aclocal-1.9/strip.m4',
-                        '/usr/share/aclocal-1.9/tar.m4',
+                        '/usr/pack/autotools-1.0-sd/share/autoconf'
+                      ],
+                      [
+                        '/usr/pack/autotools-1.0-sd/share/autoconf/autoconf/autoconf.m4f',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/libtool.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal/pkg.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/amversion.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/auxdir.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/cond.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/depend.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/depout.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/init.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/install-sh.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/lead-dot.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/lex.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/make.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/minuso.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/missing.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/mkdirp.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/options.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/runlog.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/sanity.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/strip.m4',
+                        '/usr/pack/kde-3.5.1-to/i686-debian-linux3.1/share/aclocal-1.9/tar.m4',
                         'Scripts/m4/cppunit.m4',
                         'acinclude.m4',
@@ -39,60 +39,35 @@
                         'AM_ENABLE_STATIC' => 1,
                         'AC_LIBTOOL_LANG_RC_CONFIG' => 1,
-                        'AC_C_VOLATILE' => 1,
-                        'AC_TYPE_OFF_T' => 1,
                         '_LT_AC_SHELL_INIT' => 1,
-                        'AC_FUNC_CLOSEDIR_VOID' => 1,
-                        'AC_REPLACE_FNMATCH' => 1,
                         'AC_DEFUN' => 1,
                         'AC_CHECK_FT2' => 1,
+                        '_LT_AC_LANG_CXX_CONFIG' => 1,
                         'AC_PROG_LIBTOOL' => 1,
-                        '_LT_AC_LANG_CXX_CONFIG' => 1,
                         'AM_PROG_MKDIR_P' => 1,
-                        'AC_FUNC_STAT' => 1,
-                        'AC_FUNC_WAIT3' => 1,
                         'AM_AUTOMAKE_VERSION' => 1,
-                        'AC_FUNC_LSTAT' => 1,
-                        'AC_STRUCT_TM' => 1,
-                        'AC_CHECK_HEADERS' => 1,
-                        'AC_FUNC_STRTOD' => 1,
                         'AM_MISSING_PROG' => 1,
-                        'AC_FUNC_STRNLEN' => 1,
+                        'AC_LIBTOOL_PROG_LD_HARDCODE_LIBPATH' => 1,
                         'OGRE_CHECK_THREADING' => 1,
-                        'AC_LIBTOOL_PROG_LD_HARDCODE_LIBPATH' => 1,
-                        'AC_PROG_CXX' => 1,
                         '_LT_AC_LANG_C_CONFIG' => 1,
-                        'AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK' => 1,
                         'AM_PROG_INSTALL_STRIP' => 1,
-                        'AC_PROG_AWK' => 1,
+                        '_m4_warn' => 1,
                         'OGRE_CHECK_DEVIL' => 1,
-                        '_m4_warn' => 1,
+                        'AC_LIBTOOL_OBJDIR' => 1,
                         'OGRE_GET_GLSUPPORT' => 1,
-                        'AC_LIBTOOL_OBJDIR' => 1,
-                        'AC_HEADER_MAJOR' => 1,
                         'AM_SANITY_CHECK' => 1,
+                        'AC_LIBTOOL_PROG_COMPILER_PIC' => 1,
                         'AC_LIBTOOL_LANG_GCJ_CONFIG' => 1,
-                        'AC_LIBTOOL_PROG_COMPILER_PIC' => 1,
+                        '_LT_AC_CHECK_DLFCN' => 1,
                         'AC_LIBTOOL_SYS_GLOBAL_SYMBOL_PIPE' => 1,
-                        '_LT_AC_CHECK_DLFCN' => 1,
                         '_AM_PROG_TAR' => 1,
                         'AC_LIBTOOL_GCJ' => 1,
-                        'AC_PROG_GCC_TRADITIONAL' => 1,
-                        'AC_LIBSOURCE' => 1,
-                        'AC_STRUCT_ST_BLOCKS' => 1,
+                        'AC_LIBTOOL_CONFIG' => 1,
                         '_LT_AC_LANG_F77' => 1,
-                        'AC_LIBTOOL_CONFIG' => 1,
-                        'AC_PROG_MAKE_SET' => 1,
-                        'AC_CONFIG_AUX_DIR' => 1,
-                        'sinclude' => 1,
                         'AM_DISABLE_SHARED' => 1,
+                        'AM_PROG_LIBTOOL' => 1,
                         '_LT_AC_LANG_CXX' => 1,
-                        'AM_PROG_LIBTOOL' => 1,
                         '_LT_AC_FILE_LTDLL_C' => 1,
                         'AM_PROG_LD' => 1,
-                        'AC_FUNC_STRERROR_R' => 1,
-                        'AC_DECL_SYS_SIGLIST' => 1,
-                        'AC_FUNC_FORK' => 1,
                         'AU_DEFUN' => 1,
-                        'AC_FUNC_VPRINTF' => 1,
                         'AC_PROG_NM' => 1,
                         'AC_LIBTOOL_DLOPEN' => 1,
@@ -102,63 +77,34 @@
                         'OGRE_CHECK_CG' => 1,
                         'AC_ENABLE_FAST_INSTALL' => 1,
-                        'AC_STRUCT_TIMEZONE' => 1,
-                        'AC_INIT' => 1,
                         'OGRE_DETECT_ENDIAN' => 1,
-                        'AC_FUNC_ALLOCA' => 1,
-                        'AC_SUBST' => 1,
                         '_AM_SET_OPTION' => 1,
                         'OGRE_BUILD_DEMOS' => 1,
-                        'AC_CANONICAL_HOST' => 1,
+                        '_LT_LINKER_BOILERPLATE' => 1,
+                        'AC_LIBTOOL_LANG_CXX_CONFIG' => 1,
                         'AC_LIBTOOL_PROG_CC_C_O' => 1,
-                        'AC_LIBTOOL_LANG_CXX_CONFIG' => 1,
-                        'AC_PROG_RANLIB' => 1,
-                        'AC_FUNC_SETPGRP' => 1,
-                        'AC_CONFIG_SUBDIRS' => 1,
-                        'AC_FUNC_MMAP' => 1,
-                        'AC_TYPE_SIZE_T' => 1,
-                        'AC_CHECK_TYPES' => 1,
                         'AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
-                        'AC_CHECK_MEMBERS' => 1,
                         'AC_DEFUN_ONCE' => 1,
-                        'AC_FUNC_UTIME_NULL' => 1,
-                        'AC_FUNC_SELECT_ARGTYPES' => 1,
+                        '_LT_AC_LANG_GCJ' => 1,
                         'OGRE_CHECK_DOUBLE' => 1,
-                        '_LT_AC_LANG_GCJ' => 1,
-                        'AC_FUNC_STRFTIME' => 1,
-                        'AC_HEADER_STAT' => 1,
-                        'AC_C_INLINE' => 1,
                         'AC_LIBTOOL_RC' => 1,
+                        'AC_DISABLE_FAST_INSTALL' => 1,
                         '_LT_AC_PROG_ECHO_BACKSLASH' => 1,
-                        'AC_DISABLE_FAST_INSTALL' => 1,
-                        'AC_CONFIG_FILES' => 1,
+                        'include' => 1,
+                        '_LT_AC_TRY_DLOPEN_SELF' => 1,
                         '_LT_AC_SYS_LIBPATH_AIX' => 1,
-                        '_LT_AC_TRY_DLOPEN_SELF' => 1,
-                        'include' => 1,
                         'LT_AC_PROG_SED' => 1,
                         'AM_ENABLE_SHARED' => 1,
-                        'AM_GNU_GETTEXT' => 1,
                         '_LT_AC_LANG_GCJ_CONFIG' => 1,
                         'AC_ENABLE_SHARED' => 1,
-                        'AC_CHECK_LIB' => 1,
-                        'AC_FUNC_OBSTACK' => 1,
-                        'AC_FUNC_MALLOC' => 1,
-                        'AC_FUNC_GETGROUPS' => 1,
-                        'AC_FUNC_GETLOADAVG' => 1,
+                        'AC_LIBTOOL_SYS_HARD_LINK_LOCKS' => 1,
+                        'OGRE_USE_STLPORT' => 1,
                         'AC_ENABLE_STATIC' => 1,
-                        'OGRE_USE_STLPORT' => 1,
-                        'AC_LIBTOOL_SYS_HARD_LINK_LOCKS' => 1,
-                        'AC_FUNC_FSEEKO' => 1,
+                        '_LT_AC_TAGVAR' => 1,
                         'AM_PROG_CC_C_O' => 1,
-                        '_LT_AC_TAGVAR' => 1,
                         'AC_LIBTOOL_LANG_F77_CONFIG' => 1,
                         'AM_CONDITIONAL' => 1,
-                        'AC_FUNC_MKTIME' => 1,
-                        'AC_HEADER_SYS_WAIT' => 1,
-                        'AC_FUNC_MEMCMP' => 1,
-                        'AC_PROG_LN_S' => 1,
                         'AM_PROG_INSTALL_SH' => 1,
                         'm4_include' => 1,
                         'AC_PROG_EGREP' => 1,
-                        'AC_HEADER_DIRENT' => 1,
                         '_AC_AM_CONFIG_HEADER_HOOK' => 1,
                         'AC_PATH_MAGIC' => 1,
@@ -166,94 +112,69 @@
                         'AM_MAKE_INCLUDE' => 1,
                         '_LT_AC_TAGCONFIG' => 1,
+                        'm4_pattern_forbid' => 1,
+                        'OGRE_GET_PLATFORM' => 1,
                         'OGRE_SETUP_FOR_TARGET' => 1,
-                        'OGRE_GET_PLATFORM' => 1,
-                        'm4_pattern_forbid' => 1,
                         'AC_LIBTOOL_COMPILER_OPTION' => 1,
-                        'AC_CONFIG_LIBOBJ_DIR' => 1,
                         'AC_DISABLE_SHARED' => 1,
+                        '_LT_COMPILER_BOILERPLATE' => 1,
+                        'AC_LIBTOOL_SETUP' => 1,
                         'AC_LIBTOOL_WIN32_DLL' => 1,
-                        'AC_LIBTOOL_SETUP' => 1,
                         'AC_PROG_LD_RELOAD_FLAG' => 1,
-                        'AC_HEADER_TIME' => 1,
+                        'OGRE_PLATFORM_AND_GUI' => 1,
                         'AM_MISSING_HAS_RUN' => 1,
-                        'OGRE_PLATFORM_AND_GUI' => 1,
-                        'AC_FUNC_GETMNTENT' => 1,
-                        'AC_TYPE_MODE_T' => 1,
                         'OGRE_CHECK_SSE' => 1,
                         'AC_LIBTOOL_DLOPEN_SELF' => 1,
-                        'm4_sinclude' => 1,
-                        'AC_PATH_X' => 1,
                         'AC_LIBTOOL_PROG_LD_SHLIBS' => 1,
+                        '_PKG_SHORT_ERRORS_SUPPORTED' => 1,
                         'OGRE_CHECK_PIC' => 1,
-                        'AC_HEADER_STDC' => 1,
                         'AC_LIBTOOL_LINKER_OPTION' => 1,
+                        'PKG_CHECK_EXISTS' => 1,
+                        'AC_LIBTOOL_CXX' => 1,
                         'LT_AC_PROG_RC' => 1,
-                        'AC_LIBTOOL_CXX' => 1,
                         'LT_AC_PROG_GCJ' => 1,
-                        'AC_FUNC_ERROR_AT_LINE' => 1,
                         'AM_DISABLE_STATIC' => 1,
                         'AM_DEP_TRACK' => 1,
+                        '_LT_AC_PROG_CXXCPP' => 1,
                         '_AC_PROG_LIBTOOL' => 1,
-                        'AC_FUNC_MBRTOWC' => 1,
-                        'AC_TYPE_SIGNAL' => 1,
                         '_AM_IF_OPTION' => 1,
-                        'AC_TYPE_UID_T' => 1,
+                        'OGRE_CHECK_FREEIMAGE' => 1,
                         'AC_PATH_TOOL_PREFIX' => 1,
-                        'OGRE_CHECK_FREEIMAGE' => 1,
+                        'm4_pattern_allow' => 1,
                         'AC_LIBTOOL_F77' => 1,
-                        'm4_pattern_allow' => 1,
                         'AM_SET_LEADING_DOT' => 1,
-                        'AC_DEFINE_TRACE_LITERAL' => 1,
                         '_AM_DEPENDENCIES' => 1,
                         'AC_LIBTOOL_LANG_C_CONFIG' => 1,
                         '_LT_AC_SYS_COMPILER' => 1,
-                        'AC_PROG_CC' => 1,
                         'AM_PROG_NM' => 1,
                         'OGRE_CHECK_DX9' => 1,
                         'PKG_CHECK_MODULES' => 1,
-                        'AC_FUNC_STRCOLL' => 1,
-                        'AC_PROG_YACC' => 1,
                         'AC_LIBLTDL_CONVENIENCE' => 1,
                         'AC_DEPLIBS_CHECK_METHOD' => 1,
+                        'AM_SET_CURRENT_AUTOMAKE_VERSION' => 1,
                         'AC_LIBLTDL_INSTALLABLE' => 1,
-                        'AM_SET_CURRENT_AUTOMAKE_VERSION' => 1,
-                        'AC_FUNC_CHOWN' => 1,
                         'AC_LIBTOOL_SYS_DYNAMIC_LINKER' => 1,
-                        'AC_FUNC_GETPGRP' => 1,
                         'AM_INIT_AUTOMAKE' => 1,
-                        'AC_FUNC_REALLOC' => 1,
                         'AC_DISABLE_STATIC' => 1,
-                        'AC_CONFIG_LINKS' => 1,
                         'OGRE_CHECK_CEGUI' => 1,
-                        'AM_MAINTAINER_MODE' => 1,
                         '_LT_AC_LOCK' => 1,
                         '_LT_AC_LANG_RC_CONFIG' => 1,
-                        'AC_PROG_CPP' => 1,
-                        'AC_C_CONST' => 1,
-                        'AC_PROG_LEX' => 1,
-                        'AC_TYPE_PID_T' => 1,
                         'AC_LIBTOOL_POSTDEP_PREDEP' => 1,
                         'OGRE_CHECK_OPENEXR' => 1,
-                        'AC_FUNC_SETVBUF_REVERSED' => 1,
                         'AM_AUX_DIR_EXPAND' => 1,
-                        'AC_PROG_INSTALL' => 1,
+                        'AC_LIBTOOL_PROG_COMPILER_NO_RTTI' => 1,
                         '_LT_AC_LANG_F77_CONFIG' => 1,
-                        'AC_LIBTOOL_PROG_COMPILER_NO_RTTI' => 1,
                         '_AM_SET_OPTIONS' => 1,
+                        '_AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
                         'AM_RUN_LOG' => 1,
-                        '_AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
                         'AC_LIBTOOL_PICMODE' => 1,
                         'AM_PROG_LEX' => 1,
-                        'AH_OUTPUT' => 1,
                         'AC_CHECK_LIBM' => 1,
                         'AC_LIBTOOL_SYS_LIB_STRIP' => 1,
                         '_AM_MANGLE_OPTION' => 1,
-                        'AC_CANONICAL_SYSTEM' => 1,
                         'AC_LIBTOOL_SYS_MAX_CMD_LEN' => 1,
-                        'AC_CONFIG_HEADERS' => 1,
                         'AM_SET_DEPDIR' => 1,
                         'OGRE_CHECK_GUI' => 1,
-                        'PKG_PROG_PKG_CONFIG' => 1,
-                        'AC_CHECK_FUNCS' => 1
+                        '_LT_CC_BASENAME' => 1,
+                        'PKG_PROG_PKG_CONFIG' => 1
                       }
                     ], 'Autom4te::Request' ),
@@ -262,8 +183,8 @@
                       1,
                       [
-                        '/usr/share/autoconf'
-                      ],
-                      [
-                        '/usr/share/autoconf/autoconf/autoconf.m4f',
+                        '/usr/pack/autotools-1.0-sd/share/autoconf'
+                      ],
+                      [
+                        '/usr/pack/autotools-1.0-sd/share/autoconf/autoconf/autoconf.m4f',
                         'aclocal.m4',
                         'configure.in'
@@ -271,103 +192,46 @@
                       {
                         '_LT_AC_TAGCONFIG' => 1,
+                        'AM_PROG_F77_C_O' => 1,
+                        'AC_INIT' => 1,
                         'm4_pattern_forbid' => 1,
                         'AC_CANONICAL_TARGET' => 1,
+                        'AC_SUBST' => 1,
                         'AC_CONFIG_LIBOBJ_DIR' => 1,
-                        'AC_TYPE_OFF_T' => 1,
-                        'AC_C_VOLATILE' => 1,
-                        'AC_FUNC_CLOSEDIR_VOID' => 1,
-                        'AC_REPLACE_FNMATCH' => 1,
+                        'AC_FC_SRCEXT' => 1,
+                        'AC_CANONICAL_HOST' => 1,
                         'AC_PROG_LIBTOOL' => 1,
-                        'AC_FUNC_STAT' => 1,
-                        'AC_HEADER_TIME' => 1,
-                        'AC_FUNC_WAIT3' => 1,
+                        'AM_INIT_AUTOMAKE' => 1,
+                        'AC_CONFIG_SUBDIRS' => 1,
                         'AM_AUTOMAKE_VERSION' => 1,
-                        'AC_STRUCT_TM' => 1,
-                        'AC_FUNC_LSTAT' => 1,
-                        'AC_TYPE_MODE_T' => 1,
-                        'AC_FUNC_GETMNTENT' => 1,
-                        'AC_CHECK_HEADERS' => 1,
-                        'AC_FUNC_STRTOD' => 1,
-                        'AC_FUNC_STRNLEN' => 1,
+                        'LT_CONFIG_LTDL_DIR' => 1,
+                        'AC_REQUIRE_AUX_FILE' => 1,
+                        'AC_CONFIG_LINKS' => 1,
                         'm4_sinclude' => 1,
-                        'AC_PROG_CXX' => 1,
-                        'AC_PATH_X' => 1,
-                        'AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK' => 1,
-                        'AC_PROG_AWK' => 1,
+                        'LT_SUPPORTED_TAG' => 1,
+                        'AM_MAINTAINER_MODE' => 1,
+                        'AM_GNU_GETTEXT_INTL_SUBDIR' => 1,
                         '_m4_warn' => 1,
-                        'AC_HEADER_STDC' => 1,
-                        'AC_HEADER_MAJOR' => 1,
-                        'AC_FUNC_ERROR_AT_LINE' => 1,
-                        'AC_PROG_GCC_TRADITIONAL' => 1,
-                        'AC_LIBSOURCE' => 1,
-                        'AC_FUNC_MBRTOWC' => 1,
-                        'AC_STRUCT_ST_BLOCKS' => 1,
-                        'AC_TYPE_SIGNAL' => 1,
-                        'AC_CANONICAL_BUILD' => 1,
-                        'AC_TYPE_UID_T' => 1,
-                        'AC_CONFIG_AUX_DIR' => 1,
-                        'AC_PROG_MAKE_SET' => 1,
-                        'sinclude' => 1,
-                        'm4_pattern_allow' => 1,
-                        'AC_DEFINE_TRACE_LITERAL' => 1,
-                        'AC_FUNC_STRERROR_R' => 1,
-                        'AC_PROG_CC' => 1,
-                        'AC_DECL_SYS_SIGLIST' => 1,
-                        'AC_FUNC_FORK' => 1,
-                        'AC_FUNC_VPRINTF' => 1,
-                        'AC_FUNC_STRCOLL' => 1,
-                        'AC_PROG_YACC' => 1,
-                        'AC_INIT' => 1,
-                        'AC_STRUCT_TIMEZONE' => 1,
-                        'AC_FUNC_CHOWN' => 1,
-                        'AC_SUBST' => 1,
-                        'AC_FUNC_ALLOCA' => 1,
-                        'AC_CANONICAL_HOST' => 1,
-                        'AC_FUNC_GETPGRP' => 1,
-                        'AC_PROG_RANLIB' => 1,
-                        'AM_INIT_AUTOMAKE' => 1,
-                        'AC_FUNC_SETPGRP' => 1,
-                        'AC_CONFIG_SUBDIRS' => 1,
-                        'AC_FUNC_MMAP' => 1,
-                        'AC_FUNC_REALLOC' => 1,
-                        'AC_TYPE_SIZE_T' => 1,
-                        'AC_CONFIG_LINKS' => 1,
-                        'AC_CHECK_TYPES' => 1,
-                        'LT_SUPPORTED_TAG' => 1,
-                        'AC_CHECK_MEMBERS' => 1,
-                        'AM_MAINTAINER_MODE' => 1,
-                        'AC_FUNC_UTIME_NULL' => 1,
-                        'AC_FUNC_SELECT_ARGTYPES' => 1,
-                        'AC_FUNC_STRFTIME' => 1,
-                        'AC_HEADER_STAT' => 1,
-                        'AC_C_INLINE' => 1,
-                        'AC_PROG_CPP' => 1,
-                        'AC_TYPE_PID_T' => 1,
-                        'AC_C_CONST' => 1,
-                        'AC_PROG_LEX' => 1,
+                        'AM_PROG_CXX_C_O' => 1,
                         'AM_ENABLE_MULTILIB' => 1,
                         'AC_CONFIG_FILES' => 1,
                         'include' => 1,
-                        'AC_FUNC_SETVBUF_REVERSED' => 1,
-                        'AC_PROG_INSTALL' => 1,
+                        'LT_INIT' => 1,
                         'AM_GNU_GETTEXT' => 1,
-                        'AC_CHECK_LIB' => 1,
-                        'AC_FUNC_OBSTACK' => 1,
-                        'AC_FUNC_MALLOC' => 1,
-                        'AC_FUNC_GETGROUPS' => 1,
-                        'AC_FUNC_GETLOADAVG' => 1,
+                        'AC_LIBSOURCE' => 1,
+                        'AM_PROG_FC_C_O' => 1,
+                        'AC_CANONICAL_BUILD' => 1,
+                        'AC_FC_FREEFORM' => 1,
                         'AH_OUTPUT' => 1,
-                        'AC_FUNC_FSEEKO' => 1,
+                        '_AM_SUBST_NOTMAKE' => 1,
+                        'AC_CONFIG_AUX_DIR' => 1,
+                        'sinclude' => 1,
                         'AM_PROG_CC_C_O' => 1,
+                        'm4_pattern_allow' => 1,
+                        'AC_CANONICAL_SYSTEM' => 1,
                         'AM_CONDITIONAL' => 1,
-                        'AC_CANONICAL_SYSTEM' => 1,
-                        'AC_FUNC_MKTIME' => 1,
                         'AC_CONFIG_HEADERS' => 1,
-                        'AC_HEADER_SYS_WAIT' => 1,
-                        'AC_FUNC_MEMCMP' => 1,
-                        'AC_PROG_LN_S' => 1,
+                        'AC_DEFINE_TRACE_LITERAL' => 1,
                         'm4_include' => 1,
-                        'AC_HEADER_DIRENT' => 1,
-                        'AC_CHECK_FUNCS' => 1
+                        'AC_SUBST_TRACE' => 1
                       }
                     ], 'Autom4te::Request' )