Index: Samples/SkyPlane/src/Makefile.in
===================================================================
--- Samples/SkyPlane/src/Makefile.in	(revision 5)
+++ Samples/SkyPlane/src/Makefile.in	(revision 6)
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.10 from Makefile.am.
 # @configure_input@
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -15,13 +15,9 @@
 @SET_MAKE@
 
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
 VPATH = @srcdir@
 pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@
 pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = ../../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
@@ -56,15 +52,19 @@
 am__DEPENDENCIES_1 =
 SkyPlane_DEPENDENCIES = $(am__DEPENDENCIES_1)
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/OgreMain/include
+SkyPlane_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
+	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
+	$(CXXFLAGS) $(SkyPlane_LDFLAGS) $(LDFLAGS) -o $@
+DEFAULT_INCLUDES = -I. -I$(top_builddir)/OgreMain/include@am__isrc@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CXXFLAGS) $(CXXFLAGS)
+LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
-	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
+CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
+	$(LDFLAGS) -o $@
 SOURCES = $(SkyPlane_SOURCES)
 DIST_SOURCES = $(SkyPlane_SOURCES)
@@ -73,6 +73,4 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -81,12 +79,4 @@
 AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@
-BUILD_CGPLUGIN_FALSE = @BUILD_CGPLUGIN_FALSE@
-BUILD_CGPLUGIN_TRUE = @BUILD_CGPLUGIN_TRUE@
-BUILD_DX9RENDERSYSTEM_FALSE = @BUILD_DX9RENDERSYSTEM_FALSE@
-BUILD_DX9RENDERSYSTEM_TRUE = @BUILD_DX9RENDERSYSTEM_TRUE@
-BUILD_EXRPLUGIN_FALSE = @BUILD_EXRPLUGIN_FALSE@
-BUILD_EXRPLUGIN_TRUE = @BUILD_EXRPLUGIN_TRUE@
-BUILD_UNIT_TESTS_FALSE = @BUILD_UNIT_TESTS_FALSE@
-BUILD_UNIT_TESTS_TRUE = @BUILD_UNIT_TESTS_TRUE@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
@@ -124,6 +114,5 @@
 GTK_CFLAGS = @GTK_CFLAGS@
 GTK_LIBS = @GTK_LIBS@
-HAVE_CEGUI_FALSE = @HAVE_CEGUI_FALSE@
-HAVE_CEGUI_TRUE = @HAVE_CEGUI_TRUE@
+INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
@@ -140,18 +129,9 @@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
+MKDIR_P = @MKDIR_P@
 OBJEXT = @OBJEXT@
-OGRE_BUILDING_DEMOS_FALSE = @OGRE_BUILDING_DEMOS_FALSE@
-OGRE_BUILDING_DEMOS_TRUE = @OGRE_BUILDING_DEMOS_TRUE@
-OGRE_BUILD_SSE_FALSE = @OGRE_BUILD_SSE_FALSE@
-OGRE_BUILD_SSE_TRUE = @OGRE_BUILD_SSE_TRUE@
 OGRE_CFLAGS = @OGRE_CFLAGS@
 OGRE_GLSUPPORT = @OGRE_GLSUPPORT@
 OGRE_GUI = @OGRE_GUI@
-OGRE_LINUX_FALSE = @OGRE_LINUX_FALSE@
-OGRE_LINUX_TRUE = @OGRE_LINUX_TRUE@
-OGRE_NT_FALSE = @OGRE_NT_FALSE@
-OGRE_NT_TRUE = @OGRE_NT_TRUE@
-OGRE_OSX_FALSE = @OGRE_OSX_FALSE@
-OGRE_OSX_TRUE = @OGRE_OSX_TRUE@
 OGRE_PLATFORM = @OGRE_PLATFORM@
 OGRE_THREAD_LIBS = @OGRE_THREAD_LIBS@
@@ -173,6 +153,5 @@
 RANLIB = @RANLIB@
 RC = @RC@
-SAME_PLATFORM_AND_GUI_FALSE = @SAME_PLATFORM_AND_GUI_FALSE@
-SAME_PLATFORM_AND_GUI_TRUE = @SAME_PLATFORM_AND_GUI_TRUE@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHARED_FLAGS = @SHARED_FLAGS@
@@ -181,8 +160,4 @@
 STLPORT_LIBS = @STLPORT_LIBS@
 STRIP = @STRIP@
-USE_DEVIL_FALSE = @USE_DEVIL_FALSE@
-USE_DEVIL_TRUE = @USE_DEVIL_TRUE@
-USE_FREEIMAGE_FALSE = @USE_FREEIMAGE_FALSE@
-USE_FREEIMAGE_TRUE = @USE_FREEIMAGE_TRUE@
 VERSION = @VERSION@
 XMKMF = @XMKMF@
@@ -191,12 +166,11 @@
 ZZIPLIB_CFLAGS = @ZZIPLIB_CFLAGS@
 ZZIPLIB_LIBS = @ZZIPLIB_LIBS@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
-am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
 am__include = @am__include@
 am__leading_dot = @am__leading_dot@
@@ -210,4 +184,5 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
+builddir = @builddir@
 datadir = @datadir@
 datarootdir = @datarootdir@
@@ -238,4 +213,5 @@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
 sysconfdir = @sysconfdir@
 target = @target@
@@ -244,4 +220,6 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
 INCLUDES = $(STLPORT_CFLAGS) -I$(top_srcdir)/Samples/SkyPlane/include -I$(top_srcdir)/OgreMain/include -I$(top_srcdir)/Samples/Common/include $(OIS_CFLAGS)
 SkyPlane_SOURCES = SkyPlane.cpp
@@ -283,5 +261,5 @@
 install-ogreexecPROGRAMS: $(ogreexec_PROGRAMS)
 	@$(NORMAL_INSTALL)
-	test -z "$(ogreexecdir)" || $(mkdir_p) "$(DESTDIR)$(ogreexecdir)"
+	test -z "$(ogreexecdir)" || $(MKDIR_P) "$(DESTDIR)$(ogreexecdir)"
 	@list='$(ogreexec_PROGRAMS)'; for p in $$list; do \
 	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
@@ -311,5 +289,5 @@
 SkyPlane$(EXEEXT): $(SkyPlane_OBJECTS) $(SkyPlane_DEPENDENCIES) 
 	@rm -f SkyPlane$(EXEEXT)
-	$(CXXLINK) $(SkyPlane_LDFLAGS) $(SkyPlane_OBJECTS) $(SkyPlane_LDADD) $(LIBS)
+	$(SkyPlane_LINK) $(SkyPlane_OBJECTS) $(SkyPlane_LDADD) $(LIBS)
 
 mostlyclean-compile:
@@ -322,6 +300,6 @@
 
 .cpp.o:
-@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@@ -329,6 +307,6 @@
 
 .cpp.obj:
-@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@@ -336,6 +314,6 @@
 
 .cpp.lo:
-@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCXX_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@@ -347,8 +325,4 @@
 clean-libtool:
 	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
-uninstall-info-am:
 
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
@@ -401,20 +375,19 @@
 
 distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
 	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
@@ -432,5 +405,5 @@
 installdirs:
 	for dir in "$(DESTDIR)$(ogreexecdir)"; do \
-	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
 install: install-am
@@ -467,5 +440,5 @@
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
+	distclean-tags
 
 dvi: dvi-am
@@ -481,9 +454,17 @@
 install-data-am:
 
+install-dvi: install-dvi-am
+
 install-exec-am: install-ogreexecPROGRAMS
 
+install-html: install-html-am
+
 install-info: install-info-am
 
 install-man:
+
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
 
 installcheck-am:
@@ -507,5 +488,7 @@
 ps-am:
 
-uninstall-am: uninstall-info-am uninstall-ogreexecPROGRAMS
+uninstall-am: uninstall-ogreexecPROGRAMS
+
+.MAKE: install-am install-strip
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
@@ -513,12 +496,13 @@
 	distclean-compile distclean-generic distclean-libtool \
 	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-ogreexecPROGRAMS install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags uninstall uninstall-am uninstall-info-am \
-	uninstall-ogreexecPROGRAMS
+	install install-am install-data install-data-am install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-ogreexecPROGRAMS install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs maintainer-clean maintainer-clean-generic \
+	mostlyclean mostlyclean-compile mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
+	uninstall-am uninstall-ogreexecPROGRAMS
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.